Package: org.codehaus.groovy.tools.groovydoc

## [Groovy] Class Main

- org.codehaus.groovy.tools.groovydoc.Main

-     class Main
      extends Object

  Main CLI entry-point for `groovydoc`.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Main()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static Object` | `collectSourceFileNames(List<String> remainingArgs, String[] sourceDirs, List<String> exclusions)`
    `` | `static void` | `execute()`
    `` | `static void` | `main(String[] args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Main()

  - ### Method Detail

    - #### static Object collectSourceFileNames(List<String> remainingArgs, String[] sourceDirs, List<String> exclusions)

    - #### static void execute()

    - #### static void main(String[] args)